Name:           yubikey-manager
Version:        0.6.0
Release:        4%{?dist}
Summary:        Python library and command line tool for configuring a YubiKey

License:        BSD
URL:            https://developers.yubico.com/%{name}/
Source0:        https://developers.yubico.com/%{name}/Releases/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel swig pcsc-lite-devel
# install_requires from setup.py
BuildRequires:  %{py3_dist six pyusb pyscard click cryptography pyOpenSSL}
Requires:       python3-%{name} u2f-host

%description
Command line tool for configuring a YubiKey.

%package -n python3-%{name}
Summary:        Python library for configuring a YubiKey
Requires:       ykpers pcsc-lite
# install_requires from setup.py
Requires:       %{py3_dist six pyusb pyscard click cryptography pyOpenSSL}

%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Python library for configuring a YubiKey.

%prep
%autosetup

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{name}
%license COPYING
%doc NEWS
%{python3_sitelib}/*

%files
%{_bindir}/ykman

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.6.0-3
- Rebuilt for Python 3.7

* Mon May 7 2018 Seth Jennings <sethdjennings@gmail.com> - 0.6.0-2
- add u2f-host as dependency

* Wed May 2 2018 Seth Jennings <sethdjennings@gmail.com> - 0.6.0-1
- Upstream release

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 9 2017 Seth Jennings <sethdjennings@gmail.com> - 0.4.0-1
- New package
- Upstream release
